libzmf::BMIHeader Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libzmf::BMIHeader Class Reference

`#include <BMIHeader.h>`

## Public Member Functions
| BMIHeader ()
bool | load (const RVNGInputStreamPtr &input)
bool | isSupported () const
unsigned | size () const
unsigned | startOffset () const
unsigned | width () const
unsigned | height () const
bool | isPaletteMode () const
unsigned | colorDepth () const
unsigned | paletteColorCount () const
const std::vector< BMIOffset > & | offsets () const
bool | reconcileWidth (unsigned &colorWidth, unsigned &transparencyWidth)
bool | reconcileHeight (unsigned &colorHeight, unsigned &transparencyHeight)

## Private Member Functions
void | readOffsets (const RVNGInputStreamPtr &input, uint16_t offsetCount)

## Private Attributes
std::string | m_signature
unsigned | m_size
unsigned | m_startOffset
unsigned | m_width
unsigned | m_height
bool | m_isPaletteMode
unsigned | m_colorDepth
std::vector< BMIOffset > | m_offsets

## Constructor & Destructor Documentation

## ◆ BMIHeader()

libzmf::BMIHeader::BMIHeader | ( |  | ) |

## Member Function Documentation

## ◆ colorDepth()

unsigned libzmf::BMIHeader::colorDepth | ( |  | ) | const

Referenced by paletteColorCount().

## ◆ height()

unsigned libzmf::BMIHeader::height | ( |  | ) | const

Referenced by libzmf::BMIParser::parse().

## ◆ isPaletteMode()

bool libzmf::BMIHeader::isPaletteMode | ( |  | ) | const

Referenced by paletteColorCount().

## ◆ isSupported()

bool libzmf::BMIHeader::isSupported | ( |  | ) | const

Referenced by libzmf::BMIParser::readImage().

## ◆ load()

bool libzmf::BMIHeader::load | ( | const RVNGInputStreamPtr & | input | ) |

Referenced by libzmf::BMIParser::readImage().

## ◆ offsets()

const std::vector< BMIOffset > & libzmf::BMIHeader::offsets | ( |  | ) | const

Referenced by libzmf::BMIParser::readImage().

## ◆ paletteColorCount()

unsigned libzmf::BMIHeader::paletteColorCount | ( |  | ) | const

Referenced by load().

## ◆ readOffsets()

void libzmf::BMIHeader::readOffsets | ( | const RVNGInputStreamPtr & | input,
|  | uint16_t | offsetCount
| ) |  |
| private

Referenced by load().

## ◆ reconcileHeight()

bool libzmf::BMIHeader::reconcileHeight | ( | unsigned & | colorHeight,
|  | unsigned & | transparencyHeight
| ) |  |

Referenced by libzmf::BMIParser::reconcileDimensions().

## ◆ reconcileWidth()

bool libzmf::BMIHeader::reconcileWidth | ( | unsigned & | colorWidth,
|  | unsigned & | transparencyWidth
| ) |  |

Referenced by libzmf::BMIParser::reconcileDimensions().

## ◆ size()

unsigned libzmf::BMIHeader::size | ( |  | ) | const

## ◆ startOffset()

unsigned libzmf::BMIHeader::startOffset | ( |  | ) | const

Referenced by libzmf::BMIParser::ColorBitmapHeader::parse().

## ◆ width()

unsigned libzmf::BMIHeader::width | ( |  | ) | const

Referenced by libzmf::BMIParser::parse().

## Member Data Documentation

## ◆ m_colorDepth

unsigned libzmf::BMIHeader::m_colorDepth
| private

Referenced by colorDepth(), and load().

## ◆ m_height

unsigned libzmf::BMIHeader::m_height
| private

Referenced by height(), load(), and reconcileHeight().

## ◆ m_isPaletteMode

bool libzmf::BMIHeader::m_isPaletteMode
| private

Referenced by isPaletteMode(), and load().

## ◆ m_offsets

std::vector<BMIOffset> libzmf::BMIHeader::m_offsets
| private

Referenced by offsets(), and readOffsets().

## ◆ m_signature

std::string libzmf::BMIHeader::m_signature
| private

Referenced by isSupported(), and load().

## ◆ m_size

unsigned libzmf::BMIHeader::m_size
| private

Referenced by readOffsets(), and size().

## ◆ m_startOffset

unsigned libzmf::BMIHeader::m_startOffset
| private

Referenced by load(), and startOffset().

## ◆ m_width

unsigned libzmf::BMIHeader::m_width
| private

Referenced by load(), reconcileWidth(), and width().

The documentation for this class was generated from the following files:

- BMIHeader.h
- BMIHeader.cpp